unit EndDialog;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Global;

type
  TOKBottomDlg = class(TForm)
    CancelBtn: TButton;
    Bevel1: TBevel;
    MistakesLabel: TLabel;
    CharactersLabel: TLabel;
    Label3: TLabel;
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OKBottomDlg: TOKBottomDlg;

implementation

{$R *.DFM}

procedure TOKBottomDlg.CancelBtnClick(Sender: TObject);
begin
  Halt;
end;

procedure TOKBottomDlg.FormShow(Sender: TObject);
var EndTime : TTimeStamp;
    cps : real;
    Interlapsed : integer;
begin
  MistakesLabel.Caption := 'You made ' + IntToStr(Mistakes) + ' Mistakes';
  EndTime := DateTimeToTimeStamp(Now);
  Interlapsed := EndTime.Time-StartTime.Time;
  cps := Characters/(interlapsed/60000);
  CharactersLabel.Caption := 'You typed ' + IntToStr(Round(cps)) + ' characters';
end;

end.
